Bug 444976 - nm-system-settings no stoppie
nm-system-settings no stoppie
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
: 446002 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2008-05-02 10:42 EDT by Warren Togami
Modified: 2009-07-15 04:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-15 04:23:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2008-05-02 10:42:46 EDT

service NetworkManager stop
service NetworkManager restart

Shouldn't these commands stop nm-system-settings as well?  Currently they don't
seem to.  This lead us to not catch the NM-vpnc breakage until a few days later
when someone rebooted.
Comment 1 Dan Williams 2008-05-02 12:08:40 EDT
Not exactly; since you could use the connection editor to edit system settings
(about to land upstream) when NM isn't running.  We could make the system
settings-daemon exit if NM goes away, but there are some interesting corner
cases there that make it more complicated than it seems with the connection
editor thrown into the mix.

In any case, the breakage wasn't caused by the system settings service, because
we don't support system VPN connections yet.  The change only affected the
applet and the connection editor, so if you had restarted the applet after an
update, then you might have been be affected by the issue, and then only if you
had edited a connection using the connection editor or the VPN connection tool.
Comment 2 Warren Togami 2008-05-02 13:46:57 EDT
BTW, another consequence of not stopping nm-system-service is it remains running
if you switch into runlevel 1, which is wrong.
Comment 3 Bug Zapper 2008-05-14 06:31:05 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 4 Dan Williams 2008-05-19 07:27:21 EDT
*** Bug 446002 has been marked as a duplicate of this bug. ***
Comment 5 Dan Williams 2008-05-19 07:41:46 EDT
We'll have the system settings service quit when it gets disconnected from the bus.
Comment 6 Dan Williams 2008-05-19 12:15:33 EDT
committed upstream, r3674.
Comment 7 Russell Coker 2008-05-21 23:27:41 EDT
Also the nm-system-settings daemon keeps running when NetworkManager is 
removed (EG by "yum remove wpa_supplicant").
Comment 8 Fedora Update System 2008-05-22 12:12:07 EDT
NetworkManager-0.7.0-0.9.3.svn3675.fc9 has been submitted as an update for Fedora 9
Comment 9 Fedora Update System 2008-05-28 22:40:30 EDT
NetworkManager-0.7.0-0.9.3.svn3675.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update NetworkManager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-4467
Comment 10 Gene Czarcinski 2008-05-29 23:45:18 EDT
After doing:
   /etc/init.d/NetworkManager stop
I expect the nm-system-settings process to terminate ... no, still running
Comment 11 Bug Zapper 2009-06-09 20:34:03 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 12 Bug Zapper 2009-07-15 04:23:10 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.